commit:     f8c9f6bce5b3a2e80257875e658df2b4cd52875c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  1 09:34:49 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb  1 10:20:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8c9f6bc

net-mail/mswatch: port to EAPI 7

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/mswatch/mswatch-1.2.0-r1.ebuild | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/net-mail/mswatch/mswatch-1.2.0-r1.ebuild 
b/net-mail/mswatch/mswatch-1.2.0-r1.ebuild
index 06d3a3d1712..7c542663566 100644
--- a/net-mail/mswatch/mswatch-1.2.0-r1.ebuild
+++ b/net-mail/mswatch/mswatch-1.2.0-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit linux-info ltprune
+EAPI=7
+
+inherit linux-info
 
 DESCRIPTION="A utility to watch mailstores for changes and initiate mailbox 
syncs"
 HOMEPAGE="http://mswatch.sourceforge.net/";
@@ -11,12 +12,10 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="static-libs"
 
+BDEPEND="virtual/pkgconfig"
 RDEPEND=">=dev-libs/glib-2.6:2"
-DEPEND="${RDEPEND}
-       virtual/pkgconfig
-"
+DEPEND="${RDEPEND}"
 
 CONFIG_CHECK="~INOTIFY_USER"
 ERROR_INOTIFY_USER="${P} requires in-kernel inotify support."
@@ -30,10 +29,11 @@ src_configure() {
        econf \
                --with-notify=inotify \
                --enable-shared \
-               $(use_enable static-libs static)
+               --disable-static
 }
 
 src_install() {
        default
-       prune_libtool_files
+
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to